//! Semtech SX1276/77/78/79 driver for [Drone].
//!
//! [Drone]: https://github.com/drone-os/drone

#![feature(alloc)]
#![feature(conservative_impl_trait)]
#![feature(generators)]
#![feature(inclusive_range_syntax)]
#![feature(prelude_import)]
#![feature(proc_macro)]
#![warn(missing_docs)]
#![cfg_attr(not(feature = "std"), no_std)]
#![cfg_attr(feature = "clippy", feature(plugin))]
#![cfg_attr(feature = "clippy", plugin(clippy))]
#![cfg_attr(feature = "clippy", allow(precedence, doc_markdown, inline_always))]

extern crate alloc;
#[cfg(feature = "std")]
extern crate core;
#[macro_use]
extern crate drone_core;
extern crate drone_sx1276_macros;
extern crate futures;

pub mod conn;
pub mod device;
pub mod mode;
pub mod prelude;
pub mod reg;
pub mod sess;

#[prelude_import]
#[allow(unused_imports)]
use drone_core::prelude::*;

pub use device::Device;
pub use mode::Mode;
pub use sess::Sess;
