//! Device registers.

pub mod fsk_ook;
pub mod lora;

mod never;

use drone_core::reg::RegVal;
use mode::Mode;

/// SPI register.
pub trait SpiReg<M: Mode>: Sized + RegVal<Raw = u8> {
  /// The register with adjacent address.
  type Next: SpiReg<M>;

  /// The address of the register.
  const ADDRESS: u8;
}

/// Readable SPI register.
pub trait RSpiReg<M: Mode>: SpiReg<M> {}

/// Writable SPI register.
pub trait WSpiReg<M: Mode>: SpiReg<M> {}
